%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-wordwrap
Version:        1.0.0
Release:        %mkrel 5
Group:          Development/Other
Summary:        Word wrapping library for node

License:        MIT
URL:            https://github.com/substack/node-wordwrap
Source0:        https://registry.npmjs.org/wordwrap/-/wordwrap-%{version}.tgz

BuildArch:  noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(resolve)
%endif

%description
Wrap those words. Show them at what columns to start and stop.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/wordwrap
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/wordwrap

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
ln -sf .. node_modules/wordwrap
%{_bindir}/tape test/*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.markdown example
%license LICENSE
%{nodejs_sitelib}/wordwrap



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-5.mga10
+ Revision: 2209824
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1820642
- Mageia 9 Mass Rebuild

* Tue Apr 27 2021 joequant <joequant> 1.0.0-3.mga9
+ Revision: 1720105
- remove test

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-3.mga8
+ Revision: 1535873
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Mon Oct 14 2019 joequant <joequant> 1.0.0-2.mga8
+ Revision: 1452899
- add resolve

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1265364
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.0-1.mga6
+ Revision: 1102369
- New version 1.0.0

* Tue Feb 02 2016 umeabot <umeabot> 0.0.2-3.mga6
+ Revision: 931730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-2.mga5
+ Revision: 741098
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 philippem <philippem> 0.0.2-1.mga5
+ Revision: 737549
- wrong group
- imported package nodejs-wordwrap

